## org.firebirdsql.gds.impl.jni
Class XSQLVARImpl

    java.lang.Object
      org.firebirdsql.gds.XSQLVAR
          org.firebirdsql.gds.impl.jni.XSQLVARImpl

Direct Known Subclasses:
  XSQLVARBigEndianImpl, XSQLVARLittleEndianImpl

    public abstract class XSQLVARImpl

extends XSQLVAR

Base class for big- and little-endian implementations.

Field Summary

Fields inherited from class org.firebirdsql.gds.XSQLVAR
`aliasname, coder, ownname, relname, sqldata, sqllen, sqlname, sqlscale, sqlsubtype, sqltype`

Constructor Summary
`XSQLVARImpl()`

Method Summary

Methods inherited from class org.firebirdsql.gds.XSQLVAR
`copyFrom, copyFrom, decodeDate, decodeDate, decodeDouble, decodeFloat, decodeInt, decodeLong, decodeShort, decodeString, decodeTime, decodeTime, decodeTimestamp, decodeTimestamp, decodeTimestamp, deepCopy, encodeDate, encodeDate, encodeDouble, encodeFloat, encodeInt, encodeLong, encodeShort, encodeString, encodeString, encodeTime, encodeTime, encodeTimestamp, encodeTimestamp, encodeTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLVARImpl

    public XSQLVARImpl()

Copyright © 2001-2010. All Rights Reserved.